const SorobanClient = require('soroban-client')
const xdr = SorobanClient.xdr

console.log(xdr.ScVal)

const getLedgerKeySymbol = (contractId, symbolText) => {
  const ledgerKey = xdr.LedgerKey.contractData(
    new xdr.LedgerKeyContractData({
      contractId: Buffer.from(contractId, 'hex'),
      key: xdr.ScVal.scvBytes(symbolText)
    })
  )
  return ledgerKey.toXDR('base64')
}
console.log(getLedgerKeySymbol(
  'f47e3e34187dc84aa9ff41108082d289cdf6e40720cdfba8fcd9974369b9d32e',
  Buffer.from('00000013000000000000000094b0b88de01848b2b1d6cce44324afe7ad1ac8594faf042fc14e0587d44dd7b1', 'hex')
));
